DeltaRequest (Tomcat API Documentation)
Keywords: org.apache.catalina.ha.session.DeltaRequest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.session
Class DeltaRequest

    java.lang.Object
      org.apache.catalina.ha.session.DeltaRequest

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

    public class DeltaRequest

extends java.lang.Object
implements java.io.Externalizable

See Also:
  Serialized Form

Field Summary
`static int` | `ACTION_REMOVE`
`static int` | `ACTION_SET`
`static Log` | `log`
`static java.lang.String` | `NAME_ISNEW`
`static java.lang.String` | `NAME_MAXINTERVAL`
`static java.lang.String` | `NAME_PRINCIPAL`
`protected static StringManager` | `sm` The string manager for this package.
`static int` | `TYPE_ATTRIBUTE`
`static int` | `TYPE_ISNEW`
`static int` | `TYPE_MAXINTERVAL`
`static int` | `TYPE_PRINCIPAL`

Constructor Summary
`DeltaRequest()`
`DeltaRequest(java.lang.String sessionId, boolean recordAllActions)`

Method Summary
`protected void` | `addAction(int type, int action, java.lang.String name, java.lang.Object value)`
`void` | `clear()`
`void` | `execute(DeltaSession session)`
`void` | `execute(DeltaSession session, boolean notifyListeners)`
`java.lang.String` | `getSessionId()`
`int` | `getSize()`
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `removeAttribute(java.lang.String name)`
`void` | `reset()`
`protected byte[]` | `serialize()` serialize DeltaRequest
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setMaxInactiveInterval(int interval)`
`void` | `setNew(boolean n)`
`void` | `setPrincipal(java.security.Principal p)` convert principal at SerializablePrincipal for backup nodes.
`void` | `setSessionId(java.lang.String sessionId)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static Log log

### sm

    protected static StringManager sm

  The string manager for this package.

### TYPE_ATTRIBUTE

    public static final int TYPE_ATTRIBUTE

See Also:
  Constant Field Values

### TYPE_PRINCIPAL

    public static final int TYPE_PRINCIPAL

See Also:
  Constant Field Values

### TYPE_ISNEW

    public static final int TYPE_ISNEW

See Also:
  Constant Field Values

### TYPE_MAXINTERVAL

    public static final int TYPE_MAXINTERVAL

See Also:
  Constant Field Values

### ACTION_SET

    public static final int ACTION_SET

See Also:
  Constant Field Values

### ACTION_REMOVE

    public static final int ACTION_REMOVE

See Also:
  Constant Field Values

### NAME_PRINCIPAL

    public static final java.lang.String NAME_PRINCIPAL

See Also:
  Constant Field Values

### NAME_MAXINTERVAL

    public static final java.lang.String NAME_MAXINTERVAL

See Also:
  Constant Field Values

### NAME_ISNEW

    public static final java.lang.String NAME_ISNEW

See Also:
  Constant Field Values

Constructor Detail

### DeltaRequest

    public DeltaRequest()

### DeltaRequest

    public DeltaRequest(java.lang.String sessionId,
                        boolean recordAllActions)

Method Detail

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

### removeAttribute

    public void removeAttribute(java.lang.String name)

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int interval)

### setPrincipal

    public void setPrincipal(java.security.Principal p)

  convert principal at SerializablePrincipal for backup nodes. Only support principals from type `GenericPrincipal`

  Parameters:
    `p` - Session principal
  See Also:
    `GenericPrincipal`

### setNew

    public void setNew(boolean n)

### addAction

    protected void addAction(int type,
                             int action,
                             java.lang.String name,
                             java.lang.Object value)

### execute

    public void execute(DeltaSession session)

### execute

    public void execute(DeltaSession session,
                        boolean notifyListeners)

### reset

    public void reset()

### getSessionId

    public java.lang.String getSessionId()

### setSessionId

    public void setSessionId(java.lang.String sessionId)

### getSize

    public int getSize()

### clear

    public void clear()

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### serialize

    protected byte[] serialize()
                        throws java.io.IOException

  serialize DeltaRequest

  Parameters:
    `deltaRequest` -
  Returns:
    serialized delta request
  Throws:
    `java.io.IOException`
  See Also:
    `writeExternal(java.io.ObjectOutput)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.